#!/bin/bash
#
# Skinny wrapper environment script for NUCAPS under CSPP
#
test -n "$CSPP_NUCAPS_HOME" || echo "CSPP_NUCAPS_HOME is not set. See cspp_nucaps_env.sh"
test -n "$CSPP_NUCAPS_HOME" || exit 9
test -d "$CSPP_NUCAPS_HOME/$CSPP_NUCAPS_REVNAME" || echo "Incorrect environment. See cspp_nucaps_env.sh"
test -d "$CSPP_NUCAPS_HOME/$CSPP_NUCAPS_REVNAME" || exit 9
# This is how built on thunder, so any dynamic-linked executables
# could need libraries obtained from these modules
# module purge
# module load gcc/4.9.2 hdf/4.2.9 szip/2.1 hdf5/1.8.14 netcdf4/4.4.0
ulimit -s unlimited
export LD_LIBRARY_PATH=$CSPP_NUCAPS_HOME/lib
run_nucaps.pl $@
